section#diagnostic #form {
    border-radius: 1em;
    box-shadow: 1px 1px 10px #EEE;
    padding: 0px;
}

section#diagnostic .step {
    display: flex;
    margin-bottom: 20px;
    align-items: center;
    justify-content: space-evenly;
    flex-wrap: nowrap;
    flex-direction: row;
}

section#diagnostic .step div {
    cursor: pointer;
    padding: 15px 5px;
    text-align: center;
    background: #efefef;
}

section#diagnostic #step1,
section#diagnostic #step2,
section#diagnostic #step3 {
    padding: 20px;
    padding-top: 0px;
}

section#diagnostic #step2,
section#diagnostic #step3 {
    display: none;
}

section#diagnostic .step div:first-of-type {
    border-top-left-radius: 1em;
}
section#diagnostic .step div:last-of-type {
    border-top-right-radius: 1em;
}

section#diagnostic .step .active {
    background: #FFC72C;
    color: #fff;
}

section#diagnostic .gender-btn {
    border: 1px solid #ddd;
    border-radius: 10px;
    padding: 10px;
    cursor: pointer;
    font-weight: bold;
    width: 50%;
    text-align: center;
}

section#diagnostic .gender-btn.active {
    border-color: #FFC72C;
    background: #fff8e1;
}

section#diagnostic .range-wrapper {
    width: 100%;
}

section#diagnostic .custom-range {
    height: 6px;
    background: linear-gradient(to right, #FFC72C 0%, #FFC72C 50%, #ddd 50%, #ddd 100%);
    border-radius: 10px;
}

section#diagnostic .custom-range::-webkit-slider-thumb {
    appearance: none;
    width: 30px;
    height: 30px;
    background: #FFC72C;
    border-radius: 50%;
    border: none;
    position: relative;
    margin-top: -10px;
    z-index: 2;
}

section#diagnostic .custom-range::-moz-range-thumb {
    width: 30px;
    height: 30px;
    background: #FFC72C;
    border-radius: 50%;
    margin-top: -10px;
    border: none;
}


section#diagnostic .range-labels {
    font-size: 12px;
    color: #666;
}

section#diagnostic .info-box {
    background: #fff8e1;
    border-radius: 10px;
    padding: 15px;
}

section#diagnostic .btn-custom {
    background: #FFC72C;
    color: white;
    border: none;
    padding: 12px;
    border-radius: 10px;
}

section#diagnostic .input-group-text {
    background-color: #FFF;
}

section#diagnostic .checkbox-group {
    border-radius: 0.5em;
    padding: 10px;
    cursor: pointer;
    border: 1px solid #EEE;
    display: flex;
    align-items: center;
    justify-content: flex-start;
    flex-direction: row;
    gap: 20px;
}

section#diagnostic .checkbox-group input {
    display: none;
}

section#diagnostic .checkbox-group i {
    color: #FFC72C;
}

section#diagnostic .checkbox-group b {
    margin: 0 !important;
    display: block;
}

section#diagnostic .checkbox-group.active {
    background-color: #FFC72C;
}
section#diagnostic .checkbox-group.active * {
    color: #FFF;
}

#diagnostic-result {
    display: none;
}

#diagnostic-result h4 {
    text-align: center;
}

#diagnostic-result .box {
    border-radius: 1em;
    border: 1px solid #EEE;
    padding: 10px;
}

[data-coach="photo"] {
    max-width: 100%;
    max-height: 400px;
    object-fit: contain;
}

[data-coach="name"] {
    text-transform: uppercase;
}

[data-coach="targets"] {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-items: center;
}

[data-coach="targets"] div {
    width: 50%;
}

@media (max-width: 768px) {
    .col-8.offset-2,
    .col-md-8.offset-2 {
        margin: 0;
        width: 100%;
    }
}